模板:玩家卡片V2/style.css:修订间差异

来自临东市服务器Wiki
(创建页面,内容为“.player-card { max-width: 200px; border-radius: 20px; float: right; padding: 15px; width: 100%; box-shadow: var(--box-shadow-dialog); margin: 0 0 var(--space-lg) var(--space-lg); font-family: 'HarmonySans'; } .player-card__head { overflow: hidden; border-radius: 50%; width: 90px; height: 90px; } .player-card__split { background-color: white; border-radius: 10px; height: 3px; width: 15%; margin: 15px 0; } .player-card__nick { margin-top: 10p…”)
 
无编辑摘要
第8行: 第8行:
margin: 0 0 var(--space-lg) var(--space-lg);
margin: 0 0 var(--space-lg) var(--space-lg);
font-family: 'HarmonySans';
font-family: 'HarmonySans';
position: relative;
}
}



2023年9月11日 (一) 19:21的版本

.player-card {
	max-width: 200px;
	border-radius: 20px;
	float: right;
	padding: 15px;
	width: 100%;
	box-shadow: var(--box-shadow-dialog);
	margin: 0 0 var(--space-lg) var(--space-lg);
	font-family: 'HarmonySans';
	position: relative;
}

.player-card__head {
	overflow: hidden;
	border-radius: 50%;
	width: 90px;
	height: 90px;
}

.player-card__split {
	background-color: white;
	border-radius: 10px;
	height: 3px;
	width: 15%;
	margin: 15px 0;
}

.player-card__nick {
	margin-top: 10px;
	color: white;
	font-size: 22px;
	font-family: 'HarmonySans-Bold';
}

.player-card__id {
	font-size: 14px;
	margin-top: 0px;
	margin-bottom: 10px;
	color: white;
}

.player-card__desc {
    color: white;
    font-size: 14px;
}

.player-card__background {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: #242a31;
	border-radius: 15px;
}

.player-card__background img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

.player-card__foreground {
	position: absolute;
}

@media (max-width: 720px) {
    .player-card {
        float: unset;
        margin: 0 auto;
    }
}